#include "BalancedLanding.h"
#include "Net/UnrealNetwork.h"

void UBalancedLanding::Server_WarnBalancedLandingPredicted_Implementation()
{

}

void UBalancedLanding::OnRep_ShouldApplyStaggerReduction()
{

}

float UBalancedLanding::GetSprintDuration() const
{
	return 0.0f;
}

float UBalancedLanding::GetExhaustionDurationAtLevel() const
{
	return 0.0f;
}

void UBalancedLanding::Client_UnvalidateBalanceLanding_Implementation()
{

}

void UBalancedLanding::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UBalancedLanding, _shouldApplyStaggerReduction);
}

UBalancedLanding::UBalancedLanding()
{
	this->_staggerReductionEffectClass = NULL;
	this->_activatableExhaustedEffectClass = NULL;
	this->_sprintDuration = 3.000000;
	this->_exhaustionDurationPerLevel = 0.000000;
	this->_shouldApplyStaggerReduction = false;
}
